# docker-gdp

## Install docker (only once)
```
sudo pacman -S docker docker-compose docker-machine
```

## Clone this repos

this will clone this repos (main docker environement) and necessary other source code (synopsx, webapp, xml-tei sources, vuejs client)

```
git clone --recursive -o figli https://figureslibres.io/gogs/bachir/docker-gdp.git
```

## Docker

### start docker engine
```
sudo systemctl start docker
```

### build
only before the first run (may take some time)
```
sudo docker-compose build
```
### run
then each time you want to launch the app
```
sudo docker-compose up -d
```

## DB
<del>connect http://localhost:8984/synopsx/create-project</del>

<del>create a 'gdp' project</del>

<del>connect to http://localhost:8984/synopsx/config</del>
<del>select 'gpd' and click on 'ok'</del>

## API
the api is ready, you can go to http://localhost:8984/gdp/home

## Client
open http://localhost:8988 in your browser

to follow the webpack compilation process, run
```
sudo docker-compose logs -f
```

## Doc

https://github.com/guidesDeParis/webapp/blob/master/install.md

http://docs.basex.org/wiki/Docker

https://hub.docker.com/r/basex/basexhttp
